import { type Config } from '@pnpm/config';
import { type LogBase } from '@pnpm/logger';
import { type CreateStoreControllerOptions } from '@pnpm/store-connection-manager';
export declare function rcOptionsTypes(): Record<string, unknown>;
export declare function cliOptionsTypes(): Record<string, unknown>;
export declare const shorthands: {
    d: string;
};
export declare const commandNames: string[];
export declare function help(): string;
export type PatchCommandOptions = Pick<Config, 'dir' | 'registries' | 'tag' | 'storeDir' | 'rootProjectManifest' | 'lockfileDir' | 'modulesDir' | 'virtualStoreDir' | 'sharedWorkspaceLockfile'> & CreateStoreControllerOptions & {
    editDir?: string;
    reporter?: (logObj: LogBase) => void;
    ignoreExisting?: boolean;
};
export declare function handler(opts: PatchCommandOptions, params: string[]): Promise<string>;
