export type EditDir = string & {
    __brand: 'patch-edit-dir';
};
export interface EditDirState {
    patchedPkg: string;
    applyToAll: boolean;
}
export type State = Record<EditDir, EditDirState>;
export interface EditDirKeyInput {
    editDir: string;
}
export interface ReadEditDirStateOptions extends EditDirKeyInput {
    modulesDir: string;
}
export declare function readEditDirState(opts: ReadEditDirStateOptions): EditDirState | undefined;
export interface WriteEditDirStateOptions extends ReadEditDirStateOptions, EditDirState {
}
export declare function writeEditDirState(opts: WriteEditDirStateOptions): void;
